> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeslij-pliki-za-pomoca-api-geopard.md).

# Prześlij pliki za pomocą API GeoPard

{% hint style="success" %}
Zalecanym sposobem dla plików powyżej 6 MB jest [przepływ z pre-signed URL](/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/55.-przeslij-pliki-zip-powyzej-6-mb.md).
{% endhint %}

GeoPard API umożliwia przesyłanie archiwów zip z zestawami danych soil/yield/applied/boundary do dalszego przetwarzania i analiz.

{% hint style="danger" %}
Z powodu ograniczenia AWS maksymalny rozmiar pliku, który można przesłać przez ten endpoint REST, to 6 MB.
{% endhint %}

Kroki przesyłania plików powyżej 6 MB opisano w [Przesyłanie plików zip (powyżej 6 MB)](/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/55.-przeslij-pliki-zip-powyzej-6-mb.md).

Bezpośrednio po pomyślnym przesłaniu zestawu danych soil/yield/applied silnik GeoPard przypisuje go do odpowiednich pól znajdujących się w zdefiniowanym gospodarstwie.

Bezpośrednio po pomyślnym przesłaniu boundary silnik GeoPard rozpoczyna jego przetwarzanie.

Odpowiedź zawiera `<uuid>` którego możesz użyć do śledzenia statusu przetwarzania.

#### Przykładowe żądanie:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Parametry to:

1. `<type>` - typ przesyłanego zestawu danych. Musi to być `yield` LUB `soil` LUB `applied` LUB `boundary`.
2. `<farm_uuid>` - `uuid` Gospodarstwa, do którego zostanie przesłany plik (opcjonalnie).
3. `<token>` - token dostępu GeoPard.
4. `@path/to/file.zip` - ścieżka do przesyłanego pliku.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeslij-pliki-za-pomoca-api-geopard.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
